@import (once) "fonts";
@import (once) "grid";

@import (once) "modules/map";
@import (once) "modules/ruinmap";
@import (once) "modules/log";
@import (once) "modules/town";
@import (once) "modules/beyond";
@import (once) "modules/constructions";
@import (once) "modules/forum";
@import (once) "modules/ghost";
@import (once) "modules/soul";
@import (once) "modules/rp";
@import (once) "modules/admin";
@import (once) "modules/help";
@import (once) "modules/docs";
@import (once) "modules/events";

@myhordes-fixed-font: "Courier Prime", fixed;
@myhordes-sans-serif-font: "Comic Neue", sans-serif;
@myhordes-serif-font: "Lora", serif;
@myhordes-gazette-font: "Courier New", "Courier", monospace;
@myhordes-tab-font: "Arial", sans-serif;
@myhordes-font: "Nunito", "Century Gothic", "Arial", "Trebuchet MS", "Verdana", 'Open Sans',sans-serif;

@myhordes-background: url(../img/background/bg_colored.jpg) fixed top no-repeat, #100C0B;
@myhordes-background-online: url(../img/background/bg_gray.jpg) fixed top no-repeat, #100C0B;

@myhordes-content-width: 950px;
@myhordes-content-background: url(../img/background/bg_content.jpg) left repeat-y;
@myhordes-left-padding: 19px;

@myhordes-content-header-background: url(../img/background/bg_content_header.jpg) left no-repeat;
@myhordes-content-header-height: 305px;
@myhordes-content-header-margin: -95px;

@myhordes-content-footer-background: url(../img/background/bg_content_footer.gif) left no-repeat;
@myhordes-content-footer-height: 15px;
@myhordes-content-footer-margin: 15px;

@myhordes-panel-color: white;
@myhordes-panel-bg: #7e4d2a;
@myhordes-panel-box-bg: #693e29;
@myhordes-panel-border: url("../img/background/box/panel_00.gif") top left no-repeat, url("../img/background/box/panel_02.gif") top right no-repeat,
                        url("../img/background/box/panel_20.gif") bottom left no-repeat, url("../img/background/box/panel_22.gif") bottom right no-repeat,
                        url("../img/background/box/panel_01.gif") top left repeat-x, url("../img/background/box/panel_10.gif") top left repeat-y,
                        url("../img/background/box/panel_12.gif") top right repeat-y, url("../img/background/box/panel_21.gif") bottom left repeat-x;
@myhordes-panel-border-box: url("../img/background/box/panel_00.png") top left no-repeat, url("../img/background/box/panel_02.png") top right no-repeat,
                      url("../img/background/box/panel_20.png") bottom left no-repeat, url("../img/background/box/panel_22.png") bottom right no-repeat,
                      url("../img/background/box/panel_01.png") top left repeat-x, url("../img/background/box/panel_10.png") top left repeat-y,
                      url("../img/background/box/panel_12.png") top right repeat-y, url("../img/background/box/panel_21.png") bottom left repeat-x;
@myhordes-panel-border-a00: url("../img/background/box/panel_00a.gif") top left no-repeat, url("../img/background/box/panel_02.gif") top right no-repeat,
                            url("../img/background/box/panel_20.gif") bottom left no-repeat, url("../img/background/box/panel_22.gif") bottom right no-repeat,
                            url("../img/background/box/panel_01.gif") top left repeat-x, url("../img/background/box/panel_10.gif") top left repeat-y,
                            url("../img/background/box/panel_12.gif") top right repeat-y, url("../img/background/box/panel_21.gif") bottom left repeat-x;
@myhordes-panel-border-a-top: url("../img/background/box/panel_00a.gif") top left no-repeat, url("../img/background/box/panel_02a.gif") top right no-repeat,
                              url("../img/background/box/panel_20.gif") bottom left no-repeat, url("../img/background/box/panel_22.gif") bottom right no-repeat,
                              url("../img/background/box/panel_01.gif") top left repeat-x, url("../img/background/box/panel_10.gif") top left repeat-y,
                              url("../img/background/box/panel_12.gif") top right repeat-y, url("../img/background/box/panel_21.gif") bottom left repeat-x;

@myhordes-cell-header-background-color: #5c2b20;
@myhordes-cell-header-text-color: #f0d79e;

@myhordes-button-background: url('../img/background/bg_button.gif');
@myhordes-button-static-background: #a5381b;
@myhordes-button-color: #F0D79E;
@myhordes-button-border: black;

@myhordes-input-background: url('../img/background/bg_input.jpg') bottom center repeat;
@myhordes-input-text-background: url('../img/background/form_textarea.gif') bottom center repeat;
@myhordes-input-color: #3B3249;
@myhordes-input-border: #EFDBA8;

@myhordes-smalltext: #ddab76;

@myhordes-help-color: #524053;
@myhordes-green-color: #414a31;
@myhordes-herohelp-color: #4d5537;

html { font-size: 10px; }

body {
  font-family: @myhordes-font; font-size: 1.6rem; margin: 0;
}

.offline_body { background: @myhordes-background; }
.online_body { background: @myhordes-background-online; }

div.debug_info, div.debug_info_release {
  color: white; font-size: 1.1rem;

  &.debug_info {
    margin: 2px 10px; padding: 3px;
    background: #750000; border: 1px solid #ff0000; outline: 1px solid black;
    box-shadow: 0 0 3px black;
  }

  &.debug_info_release .version {
    background: rgba(0, 0, 0, 0.5); padding: 4px;
  }

  &>div:first-child {
    display: inline-block;
    &>b { font-variant: small-caps; }
  }
  &>div:last-child { font-size: .9rem; float: right; display: inline-block }
  & a { color: white !important; }
  &:after { content: " "; clear: both; display: block; }
}

x-message {
  display: none;
}

#notifications {
  position: fixed; top: 0; height: 100%; width: 480px; left: 50%; margin-left: -240px; z-index: 1000; pointer-events: none;
  &>* {pointer-events: all}
  &>div {
    transition: top 0.5s ease-in-out, opacity 0.5s ease-in-out, margin-top 0.5s ease-in-out; top: -50px; opacity: 0;
    &:before { content: " "; position: absolute; top: 5px; bottom: 5px; left: 3px; width: 4px; }
    position: relative; margin: 5px 0; box-shadow: 0 0 4px black; cursor: pointer; text-align: justify;
    padding: 5px 5px 5px 12px; background: #5c2b20; border: 1px solid #b37c4a; outline: 1px solid black; color: @myhordes-smalltext;
    strong, b {
      color: white;
    }
    &.show { top: 0; opacity: 1 }
    &.disappear { top: 0; opacity: 0 }
    &.notice:before { background: #5eb5e0 }
    &.warning:before { background: #e09a4f }
    &.error:before { background: #a90017 }
    &>span {
      &>img { margin-right: 3px; }
      background: rgba(0,0,0,0.15); border: 1px solid rgba(0,0,0,0.15); padding: 0 5px; border-radius: 6px;
      font-variant: small-caps; color: white; display: inline-block;
      &.tool {
        padding-left: 3px;
        padding-right: 3px;
        white-space: nowrap;
        background-color: #784323;
        img {
          vertical-align: middle;
        }
      }
    }
  }

}

#loadzone {
  position: fixed; left: 0; top: 0; width: 100%; height: 100%; z-index: 99998;
  &>div { text-align: center; margin-top: 110px; color: wheat; position: absolute; width: 100% }
  &>div:nth-child(1) { transform: scale(1.25); filter: drop-shadow(2px 4px 6px black); background: url(../img/anims/loading.gif); width: 100px; height: 24px; left: 45%; }
  transition: opacity 0.2s ease-in-out; opacity: 1;
  &[x-stack="0"] { opacity: 0; pointer-events: none; }
}

#modal-backdrop {
  opacity: 0;
  pointer-events: none;
  position: fixed; left: 0; top: 0; width: 100vw; height: 100vh; z-index: 99999;
  background: linear-gradient(0deg, rgba(107, 32, 17,0.2) 0%, rgba(107, 32, 17,0.4) 70%, rgba(0,0,0,0.7) 100%);
  display: flex; align-items: center; justify-content: center; transition: opacity 0.2s ease-in-out;
  &.active {
    opacity: 1; pointer-events: initial;
  }
  &>div#modal {
    color: wheat; min-width: 200px; width: auto; max-width: 500px; background-color: #5c2b20;
    border: 1px solid #b37c4a; outline: 2px solid black; position: relative; max-height: 100%; overflow: auto;

    div#modal-title {
      line-height: 3rem; background-color: rgba(0,0,0,.25); font-weight: bold; font-size: 1.8rem;
      padding: 0 4rem 0 1rem;
      &:empty {display: none}
    }

    div#modal-content {
      min-height: 5rem; padding: 1rem;
      strong {
        color: white;
      }
      span {
          color: white; font-weight: bold; &>img { vertical-align: text-top }
          &.tool {
            padding-left: 3px;
            padding-right: 3px;
            white-space: nowrap;
            background-color: #784323;
            img {
              vertical-align: middle;
            }
          } 
        }

      .modal-form {
        label.error { color: #c00; }

        input {
          margin-bottom: 1rem;
          &.error { outline: 2px solid #c00; }
        }
      }
    }

    div#modal-actions {
      text-align: left; padding: 3px;
    }

    &.popup-ghoul, &.popup-shaman, &.popup-insurrection, &.popup-stranger, &.popup-general {

      background: #79393a;
      &>div#modal-content {
        padding: 0; font-size: 0.8em;
        &>.inner-notification-header  {
          background: #3d3149; padding: 5px;
          &>img { margin: 0 10px 10px 0; border: 2px solid black; }
        }
        &>.inner-notification-content {
          color: white; padding: 10px;
          &>img { margin: 0 10px 10px 0; }
        }
        & p { margin: 14px 0;  text-align: justify }
        & ul.bluelist {
          background: #3d3149;
          &>li { list-style: url(../img/icons/small_dot.gif); padding: 2px 10px 2px 2px; text-align: justify; }
        }
      }

    }
  }
}

#wrapper {
  position: relative; margin: 0 auto; padding: 0; width: @myhordes-content-width; overflow: visible;
  background: @myhordes-content-background; box-shadow: 0 0 20px black;

  &.attract {
    box-shadow: none; background: none; backdrop-filter: drop-shadow(0 0 20px black);
    div.header-stats {
      position: absolute;
      top: 0px; pointer-events: none;
      right: 15px;
      &>ul {
        list-style: none;
        font-variant: small-caps;
        font-weight: bolder;
        color: #fdcb70;
        text-shadow: 0px 1px 1px black, 0px -1px 1px black, 1px 0px 1px black, -1px 0px 1px black, 1px 1px 1px black, -1px -1px 1px black, -1px 1px 1px black, 1px -1px 1px black;
        text-align: right;
        font-size: 1.3rem;
        font-style: italic;
        &>li {
          span {
            font-size: 1.8rem;
          }
          &.end-stat {
            color: white;
          }
        }
      }
    }
  }

  &>#header {
    &>#header-reload-area { position: absolute; left: 0; top: 0; height: 141px; width: 100%; cursor: pointer; z-index: 995; }
    background: @myhordes-content-header-background; height: @myhordes-content-header-height;
    margin: 0 0 @myhordes-content-header-margin;
  }

  &.attract > #header {
    background-image: url("../img/background/bg_attract_header.png"); position: relative;
    .attract_button {
      position: absolute; width: 260px; height: 117px; top: 82px; left: calc(50% - 130px);
      background: url("../img/background/bg_attract_button.png") center no-repeat;
      &::after {
        position: absolute; width: 100%; height: 38px; top: 0; background: url("../img/background/electrik.gif") center no-repeat;
        content: " ";
      }

      a {
        display: block; position: absolute; width: 137px; height: 46px; top: 50px; left: 62px; background: url("../img/background/deco_jouerBt.gif") center no-repeat; text-decoration: none;
        span {
          text-align: center; text-transform: uppercase; font-size: 19pt; padding-top: 5px; display: block;
          font-weight: bolder; text-shadow: 0 2px 0 #94361b, 0 -2px 0 #94361b, 2px 0 0 #94361b, -2px 0 0 #94361b, 2px 2px 0 #94361b, -2px -2px 0 #94361b, -2px 2px 0 #94361b;
        }
        &:hover { filter: brightness(110%) }
        &:active {
          background-image: url("../img/background/deco_jouerBt2.gif");
          span { padding-top: 10px; }
        }
      }
    }

    .deco_logo {
      background-image: url("../img/attract/deco_logo_01_de.png");
      background-repeat: no-repeat;
      width: 300px; height: 144px; position: relative; top: 12px;

    }

    .back-dash {
      color: #f0d79e; box-shadow: inset 0 0 4px #00000000; border: 1px solid #00000000;
      position: absolute; top: 188px; left: -8px; width: 117px; height: 37px;
      padding-top: 9.5px; padding-left: 26px; cursor: pointer;
      font-size: 1.0rem; font-weight: normal; font-variant: small-caps;
      background: url("../img/game-bar/back_button.png");
      &:hover { background-image: url("../img/game-bar/back_button_hover.png"); padding-top: 10.5px; }
    }
  }

  &>#content {

    margin: 0 5px 0 @myhordes-left-padding;
    &>.row:not(.external-app)>.cell:not(.manual-background),&>noscript>.row>.cell, & .cell.background,&>.row:not(.external-app)>.cell-small:not(.manual-background),&>noscript>.row>.cell-small, & .cell-small.background {

      &.header>h4:first-child {
        &+*::before { content: " "; display: block; height: 24px; }
        position: absolute; left: 0; top: 0; right: 0; background: @myhordes-cell-header-background-color; margin: 0;
        color: @myhordes-cell-header-text-color;
        box-shadow: 0 0 3px black, inset 0 0 3px lighten(@myhordes-cell-header-background-color, 20%);
        font-variant: small-caps; padding: 4px;
      }

      &.padded       { padding: 12px + @myhordes-grid-padsize; }
      &.padded-small { padding: 12px + @myhordes-grid-padsize-small; }
      &.padded-none, &:not(.padded):not(.padded-small)  { padding: 12px; }

      &:not(.fact):not(.flavour-quote):not(.edge-top-left):not(.map-box) {background: @myhordes-panel-border, @myhordes-panel-bg; color: @myhordes-panel-color;}
      &:not(.fact):not(.flavour-quote).edge-top-left {background: @myhordes-panel-border-a00, @myhordes-panel-bg; color: @myhordes-panel-color;}
      &.map-box {background: @myhordes-panel-border-box, @myhordes-panel-box-bg; color: @myhordes-panel-color;}

      &.fact {
        color: white; margin-bottom: -25px; z-index: 1; min-height: 43px;
        background: url('../img/background/footer_zombie.gif') bottom left no-repeat; text-align: right; font-size: 1.2rem;
        text-shadow: 0 1px 1px black, 0 -1px 1px black, 1px 0 1px black, -1px 0 1px black, 1px 1px 1px black, -1px -1px 1px black, -1px 1px 1px black, 1px -1px 1px black;
        .author { font-weight: bold; color: #fdcb70; }
      }
    }

    .flavour-quote {
      color: #513c2d; font-size: 1.1rem; width: 200px; font-weight: bold;
      padding: 12px 8px; min-height: 55px; float: right; font-style: italic;
      background:
              url('../img/background/flavor_header.jpg') left top no-repeat,
              url('../img/background/flavor_footer.jpg') left bottom no-repeat,
              url('../img/background/flavor_bg.jpg') 0 41px repeat-y;
    }

    &>.row.external-app>.cell, &>.row.external-app>.cell-small {
      margin-top: 40px; border: 1px solid #773939; outline: 3px solid #5c2b20;
      background: #5c2b20 none; color: #f0d79e;

      & span.critical {
        text-transform: uppercase;
        color: #f86;
        font-weight: bold;
        b {
          color: #f8eacb;
        }
      }

      strong {
        color: white;
      }

      & p.secure {
        padding: 5px 5px 5px 24px;
        font-size: 9pt;
        color: white;
        background-color: #696486;
        background-image: url("../img/icons/lock.gif");
        background-position: 2px 5px;
        background-repeat: no-repeat;
      }

      & h4.title {
        padding-top: 5px;
        padding-bottom: 5px;
        margin-top: 10px;
        font-weight: bold;
        text-align: center;
        color: #afacc1;
        background-color: #3b3249;
        font-variant: small-caps;
        box-shadow: none;

        img {
          vertical-align: -15%;
          margin-right: 1em;
        }
      }

      & button {
        font-variant: small-caps;
        font-weight: normal;
      }
    }

    & #apps {
      position: absolute;
      top: 10px;
      left: 10px;
      padding-left: 5px;
      padding-right: 5px;
      background-color: #5c2b20;
      outline: 1px solid black;
      border: 1px solid #f0d79e;
      z-index: 998;
      max-width: calc(100% - 20px);

      &:hover {
        width: 430px;
      }

      & h1 {
        margin: 0;
        padding: 0;
        height: auto;
        font-size: 1.2rem;
        text-transform: none;
        font-variant: small-caps;
        background: none;
        cursor: help;
        color: #f0d79e;
        text-align: left;
        line-height: 17px;
        font-family: @myhordes-font;
        letter-spacing: 1px;

        img {
          vertical-align: -9%;
        }
      }

      & h1 span,
      & #apps-list {
        display: none;
      }

      &:hover h1 {
        border-bottom: 1px solid #b37c4a;
        margin-bottom: 5px;

        img {
          margin-right: 1em;
        }

        span {
          display: inline;
        }
      }

      &:hover #apps-list {
        display: block;

        & a { text-decoration: none !important;}

        & p { color: white; font-size: 1.3rem; }

        & ul {
          padding: 0; position: relative; margin: 0 0 8px; list-style: none;

          & li.app-external {
            display: inline-block; width: 50%; float: left;
            margin: 0 0 .5em; padding: 0; font-size: 1.3rem; color: #ddab76; cursor: pointer;
            img { vertical-align: middle; margin-right: 10px; }
            span { font-weight: normal; }
            div.small { margin-left: 26px; font-size: 0.6em; font-variant: small-caps; }
          }
        }
      }
    }

    & #modeCommand {
      position: absolute;
      top: 10px;
      margin-left: 60px;
      font-size: 8pt;
      line-height: 10pt;
      width: 110px;
      z-index: 997;

      & h1 {
        margin: 0;
        padding: 0 0 0 5px;
        font-size: 7pt;
        line-height: 8pt;
        text-transform: uppercase;
        letter-spacing: 0;
        background-color: #5c2b20;
        color: #f0d79e;
        cursor: pointer;
        outline: 1px solid black;
        border: 1px solid #f0d79e;
      }

      & #scrollMenu {
        display: none;
      }

      &:hover #scrollMenu {
        display: block;
        position: relative;
        width: 110px;
        top:-7px;
        background-color: #3b3249;

        & ul {
          margin: 0;
          padding: 0;
          float: left;
          position: relative;
          top:8px;
          margin-bottom: 8px;
          width: 110px;
          list-style: none;
          background-color: #3b3249;

          & li {
            margin: 0 0 .5em;
            padding: 3px 6px;
            font-size: 1.3rem;
            color: #ddab76;
            cursor: pointer;

            img {
              vertical-align: middle;
              margin-right: 1em;
            }
            span {
              font-weight: normal;
            }
          }


        }
      }

    }
  }

  &.attract > #content {
    background: @myhordes-content-background; margin: 12px 0 0 0; padding: 0 5px 18px 19px;
    #gma { display: none }
  }

  &::after {
    content: " "; display: block; position: relative;
    bottom: -@myhordes-content-footer-height;
    background: @myhordes-content-footer-background; height: @myhordes-content-footer-height;
  }

  &.attract::after { bottom: 3px; }
}

.trailer {
  .panic {
    height: 86px; width: 62px; background: url("../img/panique_anim.gif") bottom right no-repeat, url("../img/zombie_anim.gif") top left no-repeat;
  }

  video { border: 1px solid #f0d79e; background-color: black; box-shadow: 0 0 4px black; position: relative; z-index: 1; }

  .teaser {
    padding: 5px 18px; font-weight: bold; color: #f0d79e; letter-spacing: -.2px;
    font-size: 1.6rem; line-height: 1.6rem; text-align: justify;
    strong { color: #f8eacb }
  }

  .teaser-link {
    color: #f0d79e; text-transform: uppercase; font-weight: bold; font-size: 8pt;
    &>span { text-decoration: underline }
    &:hover>span { color: white; }
    &+.teaser-link { margin-top: 4px; }
  }
}

.news-preview {
  font-size: 12px;
  .header {
    margin-bottom: 16px;
    & > h3 { color: #ddab76; font-size: 17px; margin: 0}
    & > span { font-size:  10px; opacity: 0.9; }
  }
  .article {
    max-height: 120px; overflow: hidden; margin-bottom: 20px; position: relative; line-height: 12px;
    &::after { position: absolute; bottom: 0; left: 0; width: 100%; height: 60px; content: " "; font-weight: bold; background: linear-gradient(0deg, rgba(105,62,41,1) 0%, rgba(105,62,41,0) 100%); }
  }
}

.preview-images img { border: 1px solid #f0d79e;  }

h4.preview-header {
  background: #5c2b20; font-size: 13px;
  margin: 8px 0; color: #f0d79e; box-shadow: 0 0 3px black, inset 0 0 3px #a84e3a;
  font-variant: small-caps; width: calc(100% + 32px); position: relative; left: -32px; padding: 4px 4px 4px 32px;
}

.gallery {
  z-index: 9999;
  position: absolute; transition: all 1.0s ease-in-out;
  display: flex; justify-content: center; align-items: center; flex-direction: column;
  &>img { max-width: 100%; border: 1px solid #f0d79e; }
  &>div { max-width: 100%; height: 0; overflow: visible; transition: all 0.5s ease-in-out;
    transition-delay: 1s; border: 1px solid black;
    &> div { padding: 4px; text-align: center; background-color: black; color: white }
  }
}

.gallery-backdrop {
  z-index: 9998; left: 0; top: 0; height: 100%; width: 100%;
  position: absolute; transition: background-color 1.0s ease-in-out;
  background-color: transparent;
}


.about-paragraph {
  font-size: 10pt; line-height: 11pt; color: #f0d79e; text-align: justify;
  strong { color: white; font-weight: bold; }
  img {
    border: 1px solid #f0d79e; box-shadow: 0 0 4px black; max-width: 155px;
    &.float-left { margin: 0 16px 4px 0; }
    &.float-right { margin: 0 0 4px 16px; }
  }
}

.changelog-box {
  background: #5c2b20; padding: 6px; border: 1px solid #704328;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2); margin-bottom: 10px;
}

.warning {
  color: #f86;
  font-weight: bold;
  font-variant: small-caps;
  b,
  strong{
    color: #f8eacb;
  }
}

img {
  vertical-align: middle;
}

footer {
  color: #fae3ce;
  position: relative;
  margin: 24px auto;
  padding: 0;
  width: @myhordes-content-width;
  overflow: visible;
  font-size: 1.1rem;
  .cell-small.footer > div:not(.v), .cell.footer > div:not(.v) {
    background: rgba(0,0,0,0.33);
    margin-bottom: 5px;
    strong {
      &:first-child { background: rgba(0,0,0,0.5); }
      display: block;
      padding: 5px 0;
      text-align: center;
      font-size: 1.2rem;
      font-variant: small-caps;
    }
    .content {
      padding: 5px;
    }
  }
}

.box(@color: @myhordes-cell-header-background-color) {
  background: @color; border: 1px solid @myhordes-input-border;
  hr { color: @myhordes-input-border; border-width: 0; border-top-width: 1px; }
}

div.town-header {
  &:before {
    position: absolute;
    left: -10px;
    right: -13px;
    top: -10px;
    height: 150px;
    content: " ";
  }
  position: relative; margin-bottom: 120px;
  &>b { position: absolute; left: 260px; top: 15px; width: 308px; color: #572b23; text-align: center; font-size: 2.4rem; }
  &>span { position: absolute; left: 260px; top: 107px; width: 308px; color: white; text-align: center; font-size: 1.8rem; font-weight: bold }
}

div.town-header {
  &:before {
    background: url("../img/background/town/sign_header.jpg") center/cover no-repeat;
  }
  &.hardcore {
    &:before {
      background: url("../img/background/town/sign_header_hardcore.jpg") center/cover no-repeat;
    }
  }
}


div.note {
  .box(); padding: 5px; font-size: 1.2rem; margin: 5px 0;
  &.note-warning {
    .box( #820000 ); color: white; position: relative; padding: 5px 5px 5px 26px;
    &:before { content: " "; position: absolute; display: block; top: 5px; left: 5px; width: 16px; height: 16px; background: url('../img/icons/small_warning.gif') no-repeat; }
  }
  &.note-important {
    .box(#6f3f3c);
    color: #efdba8
  }
  &.note-critical {
    .box( #5c2b20 );
    color: #f86;
    position: relative;
    padding: 5px;
    font-variant: small-caps;
    font-weight: bold;
    outline: 1px solid #5c2b20;
    strong {
      color: #f8eacb;
    }
    &.note-critical-big {
      font-weight: 1000;
      font-size: 110%;
      line-height: 1.2;
    }
  }
  
  &.note-light {
    background-color: #5c2b20;
  }
  &.note-lightest {
    color: #f0d79e;
    background-color: #996739;
    border: none;
    padding: 3px 3px 3px 3px;
    margin: 0;
  }
}

div.small-note {
  padding: 5px; font-size: 1rem; margin: 5px 0; color: @myhordes-smalltext; text-align: justify;
  &:first-letter { font-size: 1.2rem; font-weight: bold; }
}

div.help {
  &:before { content: " "; position: absolute; display: block; top: 3px; left: 5px; width: 16px; height: 16px; background: url('../img/icons/small_help.gif') no-repeat; }
  .box(@myhordes-help-color); padding: 5px 5px 5px 26px; font-size: 1.2rem; margin: 5px 0; text-align: justify; position: relative;
  &>p:first-child { margin-top: 0 }
  &>p:last-child { margin-bottom: 0 }
  color: white;
  strong, *.strong { color: #e2d890; }
}

div.hero-help {
  &:before { content: " "; position: absolute; display: block; top: 3px; left: 5px; width: 16px; height: 16px; background: url('../img/icons/small_hero.gif') no-repeat; }
  .box(@myhordes-herohelp-color); padding: 5px 5px 5px 26px; font-size: 1.2rem; margin: 5px 0; text-align: justify; position: relative;
  &>p:first-child { margin-top: 0 }
  &>p:last-child { margin-bottom: 0 }
}

div.green-note {
  .box(@myhordes-green-color); padding: 5px 5px 5px 5px; font-size: 1.2rem; margin: 5px 0; text-align: justify; position: relative;
  &>p:first-child { margin-top: 0 }
  &>p:last-child { margin-bottom: 0 }
  strong { color: #e2d890; }
  em { color: #F0D79E }
}

div.warning-box {
  border: 1px solid red;
  outline: 1px solid black;
}

@myhordes-box-color: #966437;
@myhordes-span-color: @myhordes-smalltext;

div.lightbox {
  background: #966437; border: 1px solid @myhordes-smalltext; margin: 10px 0; padding: 5px;
  span.highlight { color: @myhordes-span-color; &:first-letter { font-size: 1.4rem; font-weight: bold; } }
}

button, *.button, *.modal-button {
  min-height: 25px; background: @myhordes-button-background center/cover no-repeat; color: @myhordes-button-color; font-weight: bold;
  border: 1px solid @myhordes-button-border; border-bottom-width: 2px; outline: 1px solid rgba(0,0,0,0);
  transition: outline-color 0.5s; box-shadow: 0 0 2px black; padding: 0 8px 0;
  text-align: left; cursor: pointer;
  font-variant: small-caps;

  &:hover,&:focus { border-color: @myhordes-button-color; color: lighten(@myhordes-button-color, 50%); }
  &:active { border-bottom-width: 1px; border-top-width: 2px; }
  &.inline { padding: 0 5px 0; }

  &:not(.inline) { &:not(.spaced-icon) { display: block; } width: 100%; }

  &.small {
    font-size: 1rem; padding: 2px 6px; display: inline-block; min-height: 0; margin:0;
  }

  &:not(.small) {
    &+& { margin-top: 5px; }
    >img {
      &:not(.right) { float: left; &+img:not(.right) { margin-left: 2px; } }
      &.right { float: right; &+img.right { margin-right: 2px; } }
    }
  }

  &.bigbutton {
    background: url(../img/background/bg_big_button.gif) center no-repeat; min-width: 100px; max-width: 268px; min-height: 47px; display: inline-block;
    border: none; text-align: center; font-size: 1.1em; position: relative;
    &>* {position: relative; }
    &:active {
      background: url(../img/background/bg_big_button2.gif) center no-repeat;
      &>* {top: 2px;}
    }
  }
  &.blue { background: url(../img/background/bg_button_blue.gif) 50%/cover no-repeat; }

  strong {
    color: white;
  }
}

input[type='text'],input[type='number'],input[type='password'],input[type='email'],input[type='url'],input[type='date'],input[type='datetime-local'],textarea {
  transition: outline-color 0.5s; outline: 1px solid rgba(0,0,0,0); color: black;
  &:not(textarea) { background: @myhordes-input-background; }
  &:not(input)    { background: @myhordes-input-text-background; resize: vertical; max-width: 100%; min-height: 250px; }
  border: 1px solid @myhordes-input-border; height: 25px;
  &:not(.inline) { &:not(.spaced-icon) { display: block; } width: 100%; }
  &:focus { outline-color: @myhordes-input-border; }
  &:invalid,&.invalid { box-shadow: 0 0 4px red; }
}

a { color: @myhordes-smalltext; font-weight: bold; }

ul.inventory {
  &:not(.borderless){
    border: 1px solid @myhordes-input-border; padding: 6px;
  }
  &.borderless {
    padding: 0;
    margin: 0;
  }
  font-size: 1.1rem; font-variant: small-caps;
  &>li {
    &:not(.category) { display: inline-block; border: 1px solid @myhordes-input-border;}
    &.category { font-size: 1rem; font-weight: bold; }
    list-style: none;  margin: 2px;
    vertical-align: text-bottom;
    &.title:first-child {
      &:empty {display: none}
      background: #965C36;
      padding: 2px 6px;
      margin-right: 2px;
    }
    &.item {
    	border-color: rgba(0,0,0,0); height: 18px; max-width: 40px;
    	&:hover { border-color: #F0D79E; background-color: #B37C4A; }
    }
    &.item:not(.locked) { cursor: pointer; }
    &.item.broken { border: 1px dotted #ff0000; }
    &.item.banished_hidden { opacity: 0.25; }
    &.free { height: 18px; width: 18px; }
    &.item.counted{
      font-size: 0;
      &>span { font-size: .9rem; position: relative; }
    }
    &.blur {
      opacity: .25;
    }
    &.focus {
      box-shadow: 0 0 4px 2px #EFDBA8;
      border-radius: 4px;
    }
  }
  &.soul {
    background: url("../img/background/inventory/inv_soul.gif") no-repeat top left;
    li {
      margin: 0;
      &.title:first-child {
        &:empty {display: none}
        background: #4d5061; padding: 2px 6px; margin-right: 2px;
        border: 1px solid #64677d;
      }
      &.item {
        &:hover { border-color: #64677d; background-color: #4d5061; }
      }
    }

  }
  &.rucksack {
    background: url("../img/background/inventory/inv_bag.gif") no-repeat top left;
    li { margin: 0; }
  }
  &.rucksack-escort { background: rgba(0,0,0,0.1); border: 1px solid @myhordes-cell-header-background-color; margin: 0; }
  &.desert, &.desert-escort { background: url("../img/background/inventory/inv_ground.gif") repeat top left;}
  &.desert-escort { border: 1px solid @myhordes-cell-header-background-color; }
  &.chest {
    background: url("../img/background/inventory/inv_home.gif") repeat center;
    &.locked li {
      opacity: 0.50;
    }
  }
  &.bank {
    background: url("../img/background/inventory/inv_bank.gif") repeat center; min-height: 100px;
    &.theft { background: #7e3f39; }
    .item {
      .item-icon { display: inline-block; width: 16px; height: 16px; text-align: center; }
      &.defense:not(.broken) { border: 1px dotted @myhordes-smalltext; }
    }
  }
}

ul.actions, ul.special_actions, ul.heroic_actions {
  padding: 5px 2px; .box();
  &>li {
    list-style: none; padding: 2px 2px 2px 10px; font-size: 1.2rem; font-variant: small-caps;
    color: @myhordes-smalltext; position: relative; cursor: default;
    &.broken-item {
      color: #c04822;
      b { color: #ea6d45 }
      img { outline: 1px solid #c04822 }
    }
    &:not(.open):not([disabled]):not(.help):not(.broken-item) {
      cursor: pointer;
      &:hover { color: white; background: lighten(@myhordes-cell-header-background-color, 10%) }
    }

    &.help {
      color: white;
      font-size: 1rem;
      background: @myhordes-building-complete-header-color;
      cursor: default;
      &:hover {
        background: @myhordes-building-complete-header-color;
      }
    }
    &>div.targets {
      position: absolute; display: none; left:100%; right: -100%; top: 0; z-index: 1500;
      &.rendered-targets {background: #5c2b20; border: 1px solid #efdba8; color: white};
      &:not(.rendered-targets) {background: #3b3249; border: 1px solid #afacc1;};

      color: #f0d79e; outline: 2px solid black;
      margin: 0; padding: 5px;
      span.highlight { padding-left: 3px; padding-right: 3px; white-space: nowrap; background-color: rgba(255,255,255,0.2);
        img { vertical-align: middle; margin-right: 3px; }
      }
      &>span:first-child, &>span.header { display: block; background: #696486; padding: 0 3px; }
      &>ul {
        margin: 0; padding: 0; font-size: 0; max-height: 300px; overflow-y: auto;
        &>li {
          &.line:not(.line-check) { display: flex; align-items: center; &>*:first-child { flex-grow: 1 } }
          &.line.line-check { font-size: 1.2rem; display: flex; align-items: center; &>*:last-child { flex-grow: 1 } }
          &:not(.line) { cursor: pointer; }
          &:not(.line):not(.expanded) { display: inline-block;}
          &>div:not(.tooltip) { font-size: 1.2rem; display: inline-block }
          list-style: none; padding: 2px; margin: 2px; border: 1px solid transparent;
          &:not(.line):hover { background: saturate( @myhordes-smalltext, 30% ); border-color: darken(@myhordes-smalltext, 20%) }
        }
      }
      & *[x-close-for] { text-align: right; text-decoration: underline; cursor: pointer; color: #ddab76 }
    }
    &>img:first-child { position: absolute; left: 4px; top: 3px; }
    &>span {
      vertical-align: top; display: block; padding-left: 16px;
      &>img {
        vertical-align: sub;
        &.unavailable { filter: sepia(100%) opacity(40%) }
      }
      &.label {
        color: @myhordes-button-color;
        text-decoration: underline;
      }
    }
    &[disabled] {
      &>span { text-decoration: line-through; }
      pointer-events: auto; cursor: default;
    }
    &+li { border-top: 1px solid fade(@myhordes-smalltext,20%) }
  }
  &.heroic_actions>li:not(.already)[disabled]>span { text-decoration: none !important; }
}

ul.heroic_actions {
  background-color: #3b3249;
  border: 1px solid #afacc1;
  &>li {
    &:hover {
      background: @myhordes-building-complete-header-color;
    }
  }
}

ul.camping_actions {
  padding: 5px 2px;
  &>li {
    list-style: none; padding: 2px 2px 2px 10px; font-size: 1.2rem; position: relative;
    &:not(.open) {
      cursor: pointer;
      &:hover { text-decoration: underline; }
    }
    &>img:first-child { position: absolute; left: 4px; top: 3px; }
    &>span {
      vertical-align: top; display: block; padding-left: 16px;
      &>img {
        vertical-align: sub;
        &.unavailable { filter: sepia(100%) opacity(40%) }
      }
    }
    &+li { border-top: 1px solid fade(@myhordes-smalltext,20%) }
  }
}

div.well {
  width: 100%; padding-top: 118.699187%; background: url("../img/background/town/well_bg.gif") no-repeat center/cover;
  position: relative;
  &>.water {
    &::after { position: absolute; content: " "; background: url('../img/background/town/well_line.gif') no-repeat center; height: 4px; top: -4px; width: 100%; }
    overflow: visible;
    position: absolute; bottom: 0; left: 0; width: 100%; height: 100%;
    background: url('../img/background/town/well_water.gif') no-repeat bottom center/cover;
  }
  &>.mask {
    position: absolute; bottom: 0; left: 0; width: 100%; height: 100%;
    background: url('../img/background/town/well_mask.gif') no-repeat center/cover;
  }
  &>.overlay {
    position: absolute; top: 50%; width: 100%; text-align: center; font-weight: bold; font-size: 1.1rem;
    padding: 0 8px;
  }
}

div.game-menu-area {
  position: absolute; width: @myhordes-content-width; padding: 5px 0; overflow: visible;
  top: @myhordes-content-header-height + @myhordes-content-header-margin - 73px; left: 0;

  &>div.game-dropdown {
    &.hidden { pointer-events: none; opacity: 0; }
    position: absolute; z-index: 11; width: 100%; top: 37px; display: block; background: @myhordes-panel-box-bg;
    box-shadow: 0 0 5px black; transition: height 0.4s ease, opacity 0.4s ease; overflow: hidden;
    &>ul.text-menu {
      padding: 10px; margin: 0; display: flex; flex-direction: column; align-items: stretch;
      &>li {
        &.burger-button { display: none; }
        padding: 5px; font-size: 1.6rem; font-weight: bold; font-variant: small-caps; list-style: none;
        cursor: pointer;
        &:hover { background: lighten(@myhordes-panel-box-bg, 10%) }
        &.back-dash { order: 1; /*margin-top: 25px;*/ }
        &.poll-dash { order: 2; margin-top: 10px; }
      }
    }
  }

  &>div.game-bar {
   width: 100%; height: 32px; background: url("../img/background/bg_menu.jpg");
    box-shadow: 0 0 5px black; position: relative;

    &>div.header-stats {
        position: absolute;
        top: -130px; pointer-events: none;
        right: 15px;
        &>ul {
          list-style: none;
          font-variant: small-caps;
          font-weight: bolder;
          color: #fdcb70;
          text-shadow: 0px 1px 1px black, 0px -1px 1px black, 1px 0px 1px black, -1px 0px 1px black, 1px 1px 1px black, -1px -1px 1px black, -1px 1px 1px black, 1px -1px 1px black;
          text-align: right;
          font-size: 1.3rem;
          font-style: italic;
          &>li {
            span {
              font-size: 1.8rem;
            }
            &.end-stat {
              color: white;
            }
          }
        }
      }

    &>div.ulcont {
      display: inline-block; padding: 0; margin: 0; float: right;
      position: relative; z-index: 20;

      &.fix-left {
        position: absolute; top: 100%; left: 0; float: none; margin-top: 12px !important; margin-left: 10px;
        &>div { display: inline-block; &+div { margin-left: 4px; } }
        z-index: 10;
      }
    }

    &>ul,&>div.ulcont {
      display: inline-block; padding: 0; margin: 0;
      &.ulcont+.ulcont { margin-right: 4px !important; }
      & li {display: inline-block; list-style: none;}
      &.text-menu {
        background: url("../img/background/menu_metalbg.png") 0 0 repeat-x; height: 32px; padding-left: 32px; padding-right: 6px;
        position: relative; z-index: 996;
        &:before { position: absolute; left: 0; top: -28px; height: 84px; width: 43px; pointer-events: none; content: " "; background: url("../img/game-bar/cog0.png") 0 0 no-repeat; }
        &:after  { position: absolute; right: -43px; top: -14px; height: 53px; width: 57px; pointer-events: none; z-index: 20; content: " "; background: url("../img/game-bar/cog1.png") 0 0 no-repeat; }
        &>li {
          padding: 2px 8px; background: rgba(0,0,0,0.3); font-weight: bold; color: @myhordes-smalltext;
          box-shadow: inset 0 0 4px rgba(0,0,0,0.6); border-radius: 4px; border: 1px solid rgba(0,0,0,0.3);
          cursor: pointer;
          &:hover {color: white}
          &.burger-button { margin-top: 2px; position: relative; left: -20px }
          &.forum,&.town-dash,&.town-news,&.soul,&.help {
            filter: brightness(100%);
            width: 84px; margin-top: 7px; text-transform:uppercase; font-size: 1.0rem;
            font-weight: bold; color: #FFFFCA; text-align: center;
            position: relative;
            &:hover {
            filter: brightness(140%);
            color: #FFFFCA;
            }
            &:after {
              filter: drop-shadow(0 0 2px black);
              content: " "; display: block; position: absolute; left: 0; right: 0; height: 45px;
              top: -40px; background-position: bottom center; background-repeat: no-repeat;
            }
          }
          &.back-dash {
			color: #f0d79e; box-shadow: inset 0 0 4px #00000000; border: 1px solid #00000000;
    		position: absolute; top: 35px; left: 0; width: 117px; height: 37px;
    		padding-top: 9.5px; padding-left: 26px;
    		font-size: 1.0rem; font-weight: normal; font-variant: small-caps;
    		background: url("../img/game-bar/back_button.png");
          	&:hover { background-image: url("../img/game-bar/back_button_hover.png"); padding-top: 10.5px; }
          }
          &.poll-dash {
            color: #f0d79e; border: none; box-shadow: none;
            position: absolute; top: 49px; left: 735px; width: 169px; height: 41px;
            background: url('../img/background/sondagebt_bg.gif') center / cover no-repeat;
            button {
              position: absolute; width: 156px; min-height: auto; height: 20px; top: 19px;
              left: 11px; white-space: nowrap; overflow: hidden; text-overflow: fade;
              &>span { display: block; width: 130%; position: relative; left: -15%; text-align: center; transform: scaleX(0.85); }
            }
          }

          &.forum:after     { background-image: url("../img/game-bar/forum.png"); top: -42px; }
          &.town-dash:after { background-image: url("../img/game-bar/play.png");}
          &.town-news:after { background-image: url("../img/game-bar/gazette.png");}
          &.soul:after      { background-image: url("../img/game-bar/soul.png");}
          &.help:after      { background-image: url("../img/game-bar/help.png");}
        }
      }

      &.clock {
        position: absolute; background: url("../img/background/clock.png"); width: 260px; height: 90px;
        top: -137px; right: 0px;
        &>li { display: block; position: absolute; }
        &>li:nth-child(1) { font-size: 1rem; color: @myhordes-smalltext; text-align: right; height: 12px; top: 9px; left: 0; right: 75px; font-variant: small-caps }
        &>li:nth-child(2) {
          font-size: 1rem;
          color: #704018;
          font-weight: bold;
          text-align: right;
          height: 12px;
          top: 25px;
          left: 0;
          right: 85px;
        }
        &>li:nth-child(3) { font-size: 1rem; text-align: center; top: 32px; left: 195px; right: 25px; cursor: help; z-index: 996; }
        &>li:nth-child(4) { color: #5e0000; font-size: 1rem; text-align: center; font-weight: bold; top: 58px; left: 195px; right: 25px; cursor: help; z-index: 996; }
        .hardcore {
          color: lighten(#7c2727, 10%);
          font-variant: small-caps;
        }
        &>li:nth-child(5) { top: -6px; right: 0; z-index: 998 }
      }

      &.ulcont {
        margin-top: 5px; background-color: #483927; padding: 1px 3px;  border: 1px solid #be9766; float: right; font-size: 0.7em;
        ul {
          margin: 0; padding: 0;

          li {
            b.red { color: #ff5f5f
            }
            list-style: none; color: @myhordes-smalltext; padding: 0;
            &:before { line-height: 0; vertical-align: top; margin-right: 4px; display: inline-block; width: 16px; }
          }
        }
      }

      &.status, &.rucksack {
        position: relative; padding: 3px 8px; font-weight: bold;
        color: @myhordes-smalltext; box-shadow: inset 0 0 4px rgba(0,0,0,0.9); border-radius: 4px; background: rgba(0,0,0,.5);
        float: right; font-size: .2rem; height: 30px;
        &>.text {
          display: block; position: absolute; top: -1px; left: 7px; right: 0; margin-top: 0; z-index: 2;
          color: white; font-size: .8rem; font-variant: small-caps; text-shadow: 1px 1px 2px black;
        }
        &:not(.ap):not(.bp):not(.pm) {
          &:not(.civil) { min-width: 64px; background: url("../img/game-bar/panel_tl.png") 0 0 no-repeat,url("../img/game-bar/panel_tr.png") 100% 0 no-repeat,url("../img/game-bar/panel_bl.png") 0 100% no-repeat,url("../img/game-bar/panel_br.png") 100% 100% no-repeat,url("../img/game-bar/panel_t.png") 0 0 repeat-x,url("../img/game-bar/panel_l.png") 0 0 repeat-y,url("../img/game-bar/panel_r.png") 100% 0 repeat-y,url("../img/game-bar/panel_b.png") 0 100% repeat-x,url("../img/game-bar/background_sq.png"); };
          &.rucksack { z-index: 2 }
          &>li:not(.text) {
            height: 18px; margin-top: 6px; vertical-align: bottom;
            &.free,&.item {width: 16px;}
            &.free { background: url("../img/small_empty_inv.gif") no-repeat; }
            &.item.broken { outline: 1px dotted #ff0000; }
          }
          .status-ghoul {
            position: absolute;
            left: 0;
            top: 26px;
            padding: 4px;
            background: #8f5e33;
            color: @myhordes-smalltext;
            border: 1px solid #af865a;
            outline: 2px solid #442012;
            float: right;
            font-size: 0.9rem;
            height: 32px !important;
            text-transform: uppercase;
            font-weight: bold;
            z-index: 1;
            &.warning {
              height: 50px !important;
            }
            max-width: 165px;
          }
        }

        &.rucksack {
          max-width: 176px; overflow: hidden; font-size: 0;
          &.expanded {
            .more { width: 18px; position: absolute; top: 7px; right: 0px; }
            &:hover {
              overflow: visible; height: 56px;
              .more { display: none; }
            }
          }
          &:not(.expanded) .more { display: none }
          &.fix-bottom {
            position: absolute !important; top: 100%; right: 0; float: none;
          }
        }

        &.rucksack_status_union {
          border-radius: 0;
          &.rucksack {
            margin-left: 0; position: relative; overflow: visible;
            z-index: 1;
            &:not(:hover) .over { display: none; }
            &:not(.expanded),&:not(:hover) {
              &:not(.civil) { background: url("../img/game-bar/panel_tr.png") 100% 0 no-repeat,url("../img/game-bar/panel_br.png") 100% 100% no-repeat,url("../img/game-bar/panel_t.png") 0 0 repeat-x,url("../img/game-bar/panel_r.png") 100% 0 repeat-y,url("../img/game-bar/panel_b.png") 0 100% repeat-x,url("../img/game-bar/background_sq.png") !important; };
              &:before {
                content: " "; z-index: 1; position: absolute; top: 0; left: -14px; width: 24px; bottom: 0; pointer-events: none;
                background: url("../img/game-bar/fuse_t.png") 0 0 no-repeat, url("../img/game-bar/fuse_b.png") 0 100% no-repeat, url("../img/game-bar/fuse_m.png") 0 0 repeat-y;
              }
            }
          }
          &.status {
            margin-right: 0; margin-left: 32px;
            &:before {
              content: " "; z-index: 20; position: absolute; top: 13px; left: -34px; width: 40px; height: 33px; pointer-events: none;
              background: url("../img/game-bar/cog2.png") 0 0 no-repeat;
            }
          }
        }

        /*&.rucksack:before*/
        &.ap,&.bp,&.pm {
          font-size: 1.6rem;
          &>li { margin-top: 3px; }
        }
        &.ap:before { content: "" }
        &.bp:before { content: "" }
        &.pm:before { content: "" }
        &.civil:before { content: " " }
      }
    }
  }
}

.ghoul-hunger-container {
  width: 150px;
  display: inline-block;
  height: 0;
  overflow: visible;
  .ghoul-hunger-background {
    position: absolute;
    left: 0;
    right: 0;
    height: 6px;
    top: 20px;
    background: #582921;
    outline: 1px solid #ba9976;
    margin: 0 3px 0 5px;
  }
  .ghoul-hunger-bar {
    position: absolute;
    left: 0;
    height: 6px;
    top: 20px;
    background: #696486;
    margin: 0 3px 0 5px;
    &.warning { background: #bb6765; }
    border-top: 1px inset black;
  }
  .ghoul-hunger-indicator {
    position: absolute; background: red; height: 6px; width: 2px; top: 20px; margin: 0 2px;
  }

  &.in-tooltip {
    display: block;
    height: 12px;
    position: relative;
    .ghoul-hunger-background, .ghoul-hunger-bar, .ghoul-hunger-indicator { top: 3px; }
  }
}
.ghoul-message { text-transform: uppercase; font-size: 0.7rem; display: block; color: #ff5f5f; margin-top: 5px; }

.icon_div(@url,@align,@left) {
  display: inline-block;
  &:after {
    content: " "; display: inline-block; height: 16px; width: 16px; background: url(@url);
    vertical-align: @align; margin-left: @left;
  }
}

span.ap,div.ap                         { .icon_div("../img/icons/ap_small.gif", middle, 0); }
span.bp,div.bp                         { .icon_div("../img/icons/bp_small.gif", middle, 0); }
span.pm,div.pm                         { .icon_div("../img/icons/pm_small.gif", middle, 0); }
span.ox,div.ox                         { .icon_div("../img/icons/oxygen_small.gif", middle, 0); }
span.defense,div.defense               { .icon_div("../img/icons/small_def.gif", middle, 2px);font-weight: bold; }
span.defense-broken,div.defense-broken { .icon_div("../img/icons/small_def_broken.gif", middle, 2px); color:#f18766;font-weight: bold; }

.jobs-choice {
  border: 1px solid #7e4d2a; width: 100%; opacity: .6;
  input[type='radio'] {
    display: none;
  }
  &:hover { border:1px dotted #ddab76; cursor: pointer; }
  &>.text {
    color: #b37c4a; font-weight: bold; font-variant: small-caps;
  }
  &>label>img {
    width: 100%;
  }
  &.selected {
    border:1px solid #f0d79e;
    color: white;
    opacity: 1.0;
    &>.text {
      color: white;
    }
  }
  .helpbtn {
    position: absolute;
    bottom: 20px;
    left: 20px;
  }
}

.tabs {
  font-size: 1.2rem; color: #ddab76; border-bottom: 1px solid #ddab76;
  margin-bottom: 20px; padding: 0 5px; position: relative; top: -2px; margin-left: -2px;
  &:not(.plain) {
    overflow: visible; border-bottom: 1px solid transparent;
    background: url(../img/background/box/panel_02t.png) right -4px top -7px no-repeat, url(../img/background/tabs-header.jpg) left / cover;
    &::before { position: absolute; content: " "; top: 0; left: 27px; right: 28px; height: 3px; background: url(../img/background/box/panel_01.png) 0 -6px repeat-x; }
    &::after { position: absolute; content: " "; bottom: -55px; top: 100%; left: 5px; right: 2px; background: url(../img/background/below_tabs_bg.gif) left top repeat-x; }
  }
  &.plain { background: url(../img/background/tabs-header-plain.gif) bottom left no-repeat; }

  &.no-bottom-margin {
    margin-bottom: 0;
    &~div.lightbox { margin-top: 0 }
  }

  min-height: 34px;

  &>.tab-floater {
    &.tab { padding-top: 0 !important; }
    min-height: 32px;
    &::before, &::after {content: " "; clear: both;}
    &::before { display: table;}
    &::after {display: block; height: 0;}
  }

  h4.soul-name { 
    margin: 8px 4px; display: inline-block;
    }

  .tab {
    &.inline { display: inline; }
    &:not(.left) { float: right; }
    &:not(.tab-floater) { padding-top: 9px };
    overflow: hidden; position: relative;

    &:first-child.left.inline > div.avatar.small:first-child {
      margin-left: -4px;
      & > h4.soul-name {
        transition: opacity 0.4s ease-in-out;
        pointer-events: none; opacity: 0;
        position: absolute; top: 0; left: 0; width: 100%; height: 100%; overflow: hidden; margin: 0; padding: 0;
        &>img { position: absolute; top: 0; left: calc(50% - 8px); }
        &>a { position: absolute; bottom: 0; left: 0; width: 100%; font-size: 0.75em; text-align: center; }
      }
      &:hover > h4.soul-name { opacity: 1; }
    }

    &.highlight-new::after {
      display: block; content: " "; width: 16px; height: 16px;
      top: 5px; left: 0;
      background-image: url(../img/forum/recent.png);
      position: absolute;
    }

    .tab-link {
      float: right; height: 21px; margin-right: 0px; margin-left: 2px;
      margin-top: 3px; white-space: nowrap; background-image: url(../img/background/tab.gif);
      background-position: top left; background-repeat: no-repeat;
      border-left: 1px solid #694023; border-right: 1px solid #694023;
      cursor: pointer;

      font-family: @myhordes-tab-font; font-size: 1rem; font-variant: small-caps;
      color: #f0d79e; padding: 2px 4px 0; text-decoration: underline;
    }

    &:not(.tab-floater):hover .tab-link { outline: 1px solid #f0d79e; text-decoration: underline; }
    &.selected {
      position: relative; top: 2px;
      .tab-link {
        text-decoration: none;
        color: white; background-image: url(../img/background/tab_active.gif);
      }
    }
  }
  &.plain .tab { float: left; }
}

.tab-floater.tab-floater-nobreak {
  display: flex; max-width: 100%;
}

span.icon {
  &>img { margin-right: 3px; }
  background: rgba(0,0,0,0.15); border: 1px solid rgba(0,0,0,0.15); padding: 0 5px; border-radius: 6px;
  font-variant: small-caps; color: white; font-size: 1.2rem;
}

ul.summary {
  &, & ul {list-style: none; margin: 0; padding: 5px;};
  & ul>li { padding-left: 16px; }
  background: @myhordes-cell-header-background-color; border: 1px solid @myhordes-smalltext;
  li {
    clear: both;
    &>span { float: right };
    &>ul { border-top: 1px solid @myhordes-smalltext; margin-top: 5px; }
  }
}

div.death_header {
  background: url("../img/background/deathHeader.gif") no-repeat center bottom/contain;
  min-height: 55px; margin-top: 24px; text-align: center;
  &>div:first-child {
    color: @myhordes-smalltext; font-variant: small-caps; font-size: 1.6rem; margin-bottom: 6px;
    &::first-letter { color: lighten(@myhordes-smalltext,10%); }
  }
  &>div:last-child {
    color: lighten(@myhordes-smalltext,10%); font-variant: small-caps; font-size: 1.8rem; font-weight: bold;
    &::first-letter { color: lighten(@myhordes-smalltext,20%); }
  }
}
div.death_footer {
  text-align: center; font-weight: bold; color: #afacc1;
}
div.death_list {
  padding-left: 6px;
  &>b { color: @myhordes-smalltext }
  &>ul {
    list-style-type: none;
    padding-left: 0;
    font-size: 1.2rem;
    font-weight: bold;
    color: lighten(@myhordes-smalltext,10%);
    &>li {
      line-height: 32px;
      &>span.count {
        color: white;
      }
      &>div:not(.tooltip) {
        width: 32px;
        height: 32px;
        display: inline-block;
        text-align: center;
        vertical-align: middle;
        &>img {
          margin-top: -3px;
        }
      }
      &.rare div {
        background: url("../img/pictos/rewardBg_rare.gif") no-repeat;
      }
    }
    &>li:hover {
      div {
        background-color: #5c2b20;
        outline: 1px solid #f0d79e;
      }
    }
  }
}

div.rebirth {
  background: #996739;
  border: 1px solid #b37c4a;
  div.rebirth_label {
    font-size: 1.1rem;
    background: #b37c4a;
    font-variant: small-caps;
    color: #f0d79e;
    padding: 5px;
  }
  input {
    padding-left: 5px;
    padding-right: 5px;
  }
  div.rebirth_btn {
    margin-top: 10px;
  }
  margin-bottom: 10px;
}

a.help-button {
    background-image: url("../img/help/helpTooltip.gif"); background-repeat: no-repeat; text-align: center;
    color: #E7D1B2; border: 1px solid #5e3d17; text-transform: uppercase; font-size: 0.85rem;
    padding-left: 3px; padding-right: 3px; cursor: help; height: 14px; width: 36px; display: inline-block;
    line-height: normal;
    &:hover { outline: 1px solid white; }
}

.helpLink {
    font-variant: small-caps;
    padding-left: 20px;
    height: 16px;
    margin-top: 2px;
    margin-bottom: 2px;
    background-image: url("../img/icons/small_help.gif");
    background-position: top left;
    background-repeat: no-repeat;
    font-size: 1.1rem;
    &:hover { color: white; }
}

div.help {
  .helpLink {
    background-image: none;
    padding-left: 0;
    color: @myhordes-button-color;
    font-weight: bold;
  }
}

p.book {
    margin-top: 10px;
    padding-left: 0px;
    font-size: 1.25rem;
    font-style: italic;
    color: #efc698;
    &:first-letter {font-size:110%; font-weight:bold; }
}

p.ambiant, div.ambiant {
    padding: 5px 5px 5px 22px;
    margin: 0px 10px 10px 40px;
    color: #ddab76;
    font-style: italic;
    font-size: 1.2rem;
    text-align: justify;
    background-image: url("../img/icons/small_rp.gif");
    background-repeat: no-repeat;
    background-position: 0px 5px;
}

div.tooltip {
  display: none;
  pointer-events: none;
  font-size: 1rem;
  max-width: 250px;
  padding: 4px;
  position: fixed;
  z-index: 2000;
  color: black;
  margin: 20px;
  box-shadow: 0 0 5px black;
  background: @myhordes-smalltext;
  border: 2px solid darken(@myhordes-smalltext, 20%);
  text-align: justify;
  outline: 1px solid darken(@myhordes-smalltext, 50%);
  font-weight: normal;
  font-variant: normal;

  strong.red {
    color :#cf7058;
  }

  ul {
    padding: 0 3px;
    margin: 2px 0 0px 0px;
    list-style: none none;
    color: #F0D79E;
    &:not(.stack) {clear: both;}
    li {
        margin: 0;
        &:not(.item) { padding-left: 4px; padding-right: 4px; background-color: #524053; }
        border-top: 0; border-bottom: 2px solid #5c2b20;
        &:last-child { border-bottom: 0; }
        i { color: #f0d79e; font-style: italic; }
        strong { font-variant: small-caps; }
    }
  }

  em {
    color: @myhordes-help-color;
  }

  &>h1:first-child {
    font-size: 1.2rem; font-weight: bold; margin: 4px; padding: 0; text-align: center;
    border-bottom: 1px solid darken(@myhordes-smalltext, 20%); font-variant: small-caps;
  }

  &.ndynamic { width: 250px; } // Do not replace this with max-width, it breaks tooltips with cells in them!

  &.help {
    background-color: #5c2b20;
    border: 1px solid #ecb98a;
    color: white;
    padding-left: 30px;
    padding-right: 10px;
    max-width: 250px;
    &>h1:first-child {
      border: none;
      text-align: left;
      margin: 0;
    }
    strong, em {
      color: #edcda9;
    }
  }

  &.normal {
    background: #935F42;
    border: 1px dotted #E3C699;
    outline: 1px solid #5c2b20;
    color: white;
    &>h1:first-child {
      color: white;
      text-align: right;
      border-bottom-color: white;
    }
    strong {
      color: #ffaa88;
    }
    em {
      color: @myhordes-button-color;
    }
  }

  &.item {
    color: #dfdad2;
    width: 250px;
    border: 1px solid #ab9d89;
    border-bottom-color: black;
    border-right-color: black;
    background-color: #746652;
    outline: 1px solid #5c2b20;
    &>h1:first-child {
      color: white;
      text-align: right;
      border-bottom-color: white;
    }
  }

  &.forum-tooltip {
    background: #5c2b20;
    border: 1px solid #f0d79e;
    outline: 1px solid #5c2b20;
    color: white;
    em {
      color: @myhordes-button-color;
    }
  }
}

ul.citizen-list li {
  list-style: none; color: @myhordes-smalltext;
}

span.language {
  text-transform: uppercase;
  font-size: 1.2rem;
  line-height: 20px;
  display: inline-block;
  text-align: center;
  color: sandybrown;
  img {
    width: 100%;
  }
}

div.block {
  width: 80%;
  margin: 10px auto;
  background-color: #5c2b20;
  border: 1px solid #e1bd9b;
  outline: 2px solid #43281a;

  strong {
    color: #afacc1;
    text-transform: uppercase;
    text-align: center;
    font-size: 1.2rem;
  }
}

div.item-addendum {
  font-weight: bold; color: @myhordes-smalltext; margin-top: 10px;
}

div.item-tag {
  font-size: 1.1rem; /*text-align: center;*/ padding: 2px; background: #022142; border: 1px solid #011d37;
  position: relative; color: @myhordes-smalltext; height: 18px; margin-top: 3px;
  padding-left: 20px;
  &:after {position: absolute; display: block; content: " "; height: 16px; width: 16px; top: 0; left: 1px; }
  &.item-tag-deco:after { background: url("../img/item/cat_deco.gif") center/contain no-repeat }
  &.item-tag-defense:after { background: url("../img/item/cat_def.gif") center/contain no-repeat }
  &.item-tag-essential { padding-left: 14px; }
  &.item-tag-essential:after { background: url("../img/item/cat_job.gif") center/contain no-repeat }
  &.item-tag-weapon:after { background: url("../img/item/cat_weapon.gif") center/contain no-repeat }
  &.item-tag-heavy:after { background: url("../img/item/cat_heavy.gif") center/contain no-repeat }
  &.item-tag-use-1:after { background: url("../img/icons/small_once.gif") center/contain no-repeat }

  &.item-tag-item-id:after { background: url("../img/icons/small_dev.png") center/contain no-repeat }
  &.item-tag-poison-deadly:after { background: url("../img/icons/death.gif") center/contain no-repeat }
  &.item-tag-poison-infect:after { background: url("../img/status/status_infection.gif") center/contain no-repeat }
  &.item-tag-first-pick:after { background: url("../img/item/item_bagxl.gif") center/contain no-repeat }
  em {
    color: white;
  }
}

div.badge {
  background: #7d5032; border: 1px solid #dfc793; padding: 10px; margin: 20px 0;
  & strong { font-size: 1.2em; font-weight: bold; color: white; }
  & span { color: @myhordes-smalltext; }
}

div.tooltip-dummy {
  height: 0; position: relative; overflow: visible; padding: 0; margin: 0;
  &>* {
    position: absolute; width: 100%; top: 0; z-index: 3; box-shadow: 0 0 2px black, 0 0 10px black;
    &.tooltip-dummy-container {
      background: @myhordes-help-color; outline: 1px solid @myhordes-button-color;
      &>h4 {
        margin: 4px; padding: 0 0 4px; border-bottom: 1px solid @myhordes-button-color; color: @myhordes-button-color;
        text-align: center;
      }
    }
  }
}

div.daily-attack {
  margin: 0 auto;
  max-width: 442px;
  div.content {

    hordes-flash[data-src] {
      overflow: hidden;
      >* {
        width: 100% !important; height: auto !important;
        aspect-ratio: 440/120;
      }
    }

    p {margin: 16px 10px}

    padding: 0;
    background-color: #5c2b20;
    border: 1px solid #ddab76;
    outline: 2px solid #5c2b20;
    font-style: italic;
    color: #ddab76;
    p::first-letter {
      color: #f0d79e;
      font-weight: bold;
      font-size: 1.5rem;
    }
    strong {
      color :#cf7058;
      font-weight: normal;
    }
  }

  div.infos {
    margin-top: 20px;
    background-color: #3b3249;
    border: 1px solid #ddab76;
    outline: 2px solid #5c2b20;
    padding: 10px;
    color: white;
    font-size: 1.2rem;
    img {
      float: left;
      margin-right: 5px;
      border: 1px solid #b37c4a;
    }
    h2 {
      padding: 0px;
      margin: 0px 0px 5px;
      color: #ddab76;
      text-align: left;
      font-family: @myhordes-serif-font;
      text-transform: uppercase;
      border-bottom: 2px solid #ddab76;
      font-size: 1.3rem;
    }
    em {
      color: #f0d79e;
      font-size: 1.1rem;
    }
  }
}

.avatar, .avatarcrow {
  display: inline-block; box-shadow: 0 0 5px rgba(0,0,0,0.7); position: relative;
  &:not(.small):not(.full)>img { max-width: 100px; max-height: 100px; }
  &.small>img { width: 90px; height: 30px; object-fit: cover }
  &.full>div.crop {
    z-index: 1;
    &>div { cursor: grab; position: absolute; top: 0; left: 0; right: 0; bottom: 0; }
    width: 100%; height: 33.33333333333%; position: absolute; top: 0; left: 0;
    outline: 1px solid white; background: rgba(255,255,255,0.1); cursor: nwse-resize;
  }
  &.raw { outline: none; box-shadow: none; padding: 0; margin: 0; border: 1px solid transparent; }
  &>img { backdrop-filter: blur(15px) contrast(95%) brightness(110%); background: url("../img/noise.png")  }
}
&.avatar { border: 1px solid @myhordes-cell-header-background-color; }
&.avatarcrow { border: 1px solid #cc3300; }

.tab-floater .avatar>img { backdrop-filter: none; background: transparent }

select {
  font-size: 1.2rem;
  background-color: #965C36;
  color: #f0d79e;
  border: 1px solid #ddab76;
  outline: 1px solid black;
  cursor: pointer;
  &:not(.small) {width: 100%;}
}

i.dagger {
  font-style: normal;
}

.form {
  div.note.note-lightest { margin: 5px 0; }

  .mod {
    font-size: 1.2rem; color: @myhordes-cell-header-text-color;
    strong { color: white; text-transform: uppercase; }
  }

  .warning {
    color: #f86; font-size: 1.2rem; font-variant: small-caps; margin-top: 5px;
    padding: 5px; background-color: #5c2b20; border: 1px solid #f0d79e; outline: 1px solid #5c2b20;
    strong { text-transform: uppercase; color: #f8eacb; }
  }
}

#postbox {
  position: absolute; right: 10px; top: 100px; font-size: 10px;
  background-color: rgba(62, 36, 23, .75); border-radius: 6px; padding: 3px 5px;
  color: @myhordes-smalltext; transition: background-color 0.5s ease-in-out;
  cursor: pointer; z-index: 996;
  &:hover { background-color: lighten(rgba(62, 36, 23, .75),10%); }

  &>div {
    margin: 0; display: inline-block; font-weight: bold;
    &:last-child { margin-left: 4px; }
  }

  &.new-messages {
    >*:nth-child(1) { display: none; }
  }
  &:not(.new-messages)>*:not(:nth-child(1)) { display: none !important; }
}

.mt-1 {
  margin-top: 1em;
}

.mt-2 {
  margin-top: 2em;
}

.mb-1 {
  margin-bottom: 1em;
}

.mb-2 {
  margin-bottom: 2em;
}

.ml-1 {
  margin-left: 1em;
}

.pl-1 {
  padding-left: 1em;
}

.pl-05 {
  padding-left: 0.5em;
}

.inline-block {
  display: inline-block;
}

ul.hordes-bullets {
  list-style: none; font-size: 0.8em;
  &>li {
    position: relative;
    b.emph { font-weight: normal; color: @myhordes-smalltext; font-variant: small-caps; }
    &:before { position: absolute; left: -24px; top: 0; content: " "; width: 24px; height: 16px; background: url("../img/icons/small_middot.gif") no-repeat; }
    &.note {
      margin-left: -40px;
    }
  }

}

div.or {
  height: 100px; width: 100%; background: url("../img/or.png") no-repeat center;
}

div.welcome-teaser {
  height: 500px; margin-right: -5px;
  &>span {
    font-size: 18px; position: relative; display: inline-block;
    width: 241px; top: 18px; left: 70px; transform: rotate(-1.8deg);
    text-align: center; font-weight: bold; text-shadow: 0 0 4px rgba(0,0,0,0.5);
    &:first-child { color: #312839; text-transform: uppercase }
    &:last-child { color: #5b0000 }
  }
  &.teaser-1 { background: url("../img/teaser1.jpg") no-repeat top right; &>span { left: 80px; top: 25px; } }
  &.teaser-2 { background: url("../img/teaser2.jpg") no-repeat top right; }
  &.teaser-3 { background: url("../img/teaser3.jpg") no-repeat top right; }
  &.teaser-4 { background: url("../img/teaser4.jpg") no-repeat top right; }
  &.teaser-5 { background: url("../img/teaser5.jpg") no-repeat top right; }
  &.teaser-6 { background: url("../img/teaser6.jpg") no-repeat top right; }
  &.teaser-7 { background: url("../img/teaser7.png") no-repeat top right; }
  &.teaser-8 { background: url("../img/teaser8.jpg") no-repeat top right; }
  &.teaser-9 { background: url("../img/teaser9.jpg") no-repeat top right; }
  &.teaser-10 { background: url("../img/teaser10.jpg") no-repeat top right; }
  &.teaser-11 { background: url("../img/teaser11.jpg") no-repeat top right; }
}

span.tag {
  font-size: 0.95rem; text-shadow: 1px 1px 0 black; padding: 2px 4px; box-shadow: 0 0 2px black; margin: 1px 2px;
  border: 1px solid rgba(0,0,0,0.2); font-weight: bold; border-radius: 3px;
}

.username {
  word-break: break-all;
  text-decoration: none;

  &.username-alias {
    background-color: #5c0045;
    border-top: 1px solid #981c54;
  }

  &:not(.username-alias) {
    background-color: #5C0000;
    border-top: 1px solid #98341c;
  }

  border-radius: 4px;
  padding-right: 5px;
  padding-left: 5px;
  color: @myhordes-button-color;
  font-weight: bold;
  box-shadow: 0 0 1px black;
  display: inline-block;
  cursor: pointer;

  &:hover {
    border-top: 1px solid #490000;
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.5), 0 0 1px black;
  }

  &:not(.username-alias).is-friend {
    border-top: 1px solid #965c36;
    background-color: #7e4e2a;
  }
}